name: wyatt_authentication_bloc
description: Authentication BLoC for Flutter
repository: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_authentication_bloc
version: 0.4.1

publish_to: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub

environment:
  sdk: ">=2.17.0 <3.0.0"
  flutter: ">=1.17.0"

dependencies:
  flutter: { sdk: flutter }
  crypto: ^3.0.2
  flutter_bloc: ^8.1.1
  equatable: ^2.0.5
  firebase_auth: ^4.2.0
  google_sign_in: ^5.4.2
  rxdart: ^0.27.7

  wyatt_form_bloc:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
    version: ^0.2.0+2

  wyatt_architecture:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
    version: ^0.1.0+1

  wyatt_type_utils:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
    version: ^0.0.4
  flutter_secure_storage: ^8.0.0
  http: ^0.13.5

dev_dependencies:
  flutter_test: { sdk: flutter }
  bloc_test: ^9.1.0
  mocktail: ^0.3.0

  wyatt_analysis:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
    version: 2.4.1
